#include "mousemovetextedit.h"

MouseMoveTextEdit::MouseMoveTextEdit(QWidget *parent):
    QTextEdit(parent) {
 QCoreApplication::instance()->installEventFilter(this);
}

bool MouseMoveTextEdit::eventFilter(QObject *obj, QEvent *event) {
 if (obj == this) { //Если от списка
  if (event->type() == QEvent::MouseMove) { //и это нужный тип события
   QMouseEvent *e = static_cast <QMouseEvent *> (event); //берем указатель на событие
   this->setStyleSheet("MouseMoveTextEdit { background-color: yellow; }");
    //желтый цвет фона
   return true; //не передавать обработку дальше
  }
  else {
   return false; //другие события передать дальше
  }
 }
 else { //Передать событие вверх родительскому классу
  return QWidget::eventFilter(obj, event);
 }
}
